Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0
Class C3P0Registry

    java.lang.Object
      com.mchange.v2.c3p0.C3P0Registry

    public final class C3P0Registry

extends java.lang.Object

Constructor Summary
`C3P0Registry()`

Method Summary
`static java.util.Set` | `allIdentityTokenized()`
`static java.util.Set` | `allIdentityTokens()`
`static java.util.Set` | `allPooledDataSources()`
`static ConnectionCustomizer` | `getConnectionCustomizer(java.lang.String className)`
`static ConnectionTester` | `getConnectionTester(java.lang.String className)`
`static int` | `getNumPooledDataSources()`
`static int` | `getNumPoolsAllDataSources()`
`int` | `getNumThreadsAllThreadPools()`
`static java.util.Set` | `getPooledDataSources()`
`static void` | `markClosed(PooledDataSource pds)`
`static PooledDataSource` | `pooledDataSourceByName(java.lang.String dataSourceName)` Note: If multiple PooledDataSources in your JVM share the same `dataSourceName`, which of those multiple DataSources will be returned by this method is undefined!
`static java.util.Set` | `pooledDataSourcesByName(java.lang.String dataSourceName)`
`static IdentityTokenized` | `reregister(IdentityTokenized idt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### C3P0Registry

    public C3P0Registry()

Method Detail

### getConnectionTester

    public static ConnectionTester getConnectionTester(java.lang.String className)

### getConnectionCustomizer

    public static ConnectionCustomizer getConnectionCustomizer(java.lang.String className)
                                                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### reregister

    public static IdentityTokenized reregister(IdentityTokenized idt)

### markClosed

    public static void markClosed(PooledDataSource pds)

### getPooledDataSources

    public static java.util.Set getPooledDataSources()

### pooledDataSourcesByName

    public static java.util.Set pooledDataSourcesByName(java.lang.String dataSourceName)

  Returns:
    the set of all PooledDataSources sharing the given dataSourceName

### pooledDataSourceByName

    public static PooledDataSource pooledDataSourceByName(java.lang.String dataSourceName)

  Note: If multiple PooledDataSources in your JVM share the same `dataSourceName`, which of those multiple DataSources will be returned by this method is undefined!

  Returns:
    a PooledDataSource with the given `dataSourceName`, if at least one exists. `null` otherwise.

### allIdentityTokens

    public static java.util.Set allIdentityTokens()

### allIdentityTokenized

    public static java.util.Set allIdentityTokenized()

### allPooledDataSources

    public static java.util.Set allPooledDataSources()

### getNumPooledDataSources

    public static int getNumPooledDataSources()

### getNumPoolsAllDataSources

    public static int getNumPoolsAllDataSources()
                                         throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getNumThreadsAllThreadPools

    public int getNumThreadsAllThreadPools()
                                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD